@import url('https://fonts.googleapis.com/css2?family=Nanum+Gothic&display=swap');

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Nanum Gothic", sans-serif;
}
#wrapper {
    background-image: url('../img/calendar2.webp');
    min-height: 100vh; 
    width: 100%;
    padding-top: 5rem;
}

h1{
    text-align: center;
    color: white;
    font-size: 1.5rem;
}

h2{
    font-size: 1.3rem;
    text-align: center;
    color: white;
    margin: 3rem 0 1.5rem 0;
}

#p__clearLocal, #p__goToEnd{
    text-align: center;
    margin-top: 2rem;
}

#calendar{
    display: flex;
    flex-wrap: wrap;
    column-gap: 1rem;
    row-gap: 1rem;
    justify-content: center;
    width: 60%;
    margin: auto;
    padding-top: 5rem;
}

.window{
    height: 100px;
    width: 100px;
    cursor: pointer;
    border: none;
    border-radius: 0.5rem;
    font-size: 1.2rem;
    transition: 0.5s;
    box-shadow: 0 4px 16px hsl(353deg 100% 8%);

    &:hover{
        filter: brightness(0.8);
    }
}

/* .window {

    height: 100px;
    width: 100px;
    cursor: pointer;
    border: none;
    border-radius: 0.5rem;
    font-size: 1.2rem;

    position: relative;
    overflow: hidden;
    transition: box-shadow 0.3s ease;
  }
  
  .window::before,
  .window::after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    pointer-events: none;
    background: radial-gradient(circle, rgba(255, 255, 255, 0.8) 0%, rgba(255, 255, 255, 0) 60%);
    opacity: 0.3;
    filter: blur(3px);
    mix-blend-mode: screen;
    animation: sparkle 3s infinite ease-in-out;
  }
  
  .window::after {
    animation-delay: 1.5s;
  }
  
  @keyframes sparkle {
    0%, 100% {
      transform: translate(-50%, -50%) scale(0);
      opacity: 0.1;
    }
    50% {
      transform: translate(30%, 30%) scale(1.2);
      opacity: 1;
    }
  } */

  

/* fenetres ouvertes */
.open{
    border: 2px solid white;
    background-color: transparent !important;
    color: white;
}

.button{
    border: none;
    font-weight: 700;
    padding: 1.2em 1rem;
    color: #4a4a4a;
    border-radius: 30px;

    /* background: linear-gradient(90deg, rgba(211,211,243,1) 0%, rgba(217,244,241,1) 100%); */
    background: linear-gradient(15deg, #d5acd5, #e6c1d4, #f5d1d3, #fbd9c7, #fbe4bb, #fbd9c7, #f5d1d3, #e6c1d4, #d5acd5) no-repeat;
    background-size: 300%;
    
    background-position: left center;
    box-shadow: 0 30px 10px -20px rgba(0,0,0,.2);

    cursor: pointer;
    transition: background .3s ease;
    
    &:hover{
        background-size: 320%;
        background-position: right center;
        
    }
}

.heart{
    font-size: 27px;
    color: red;
    cursor: pointer;

    &:hover{
        color: #bc3c3c;
    }
}

/* ----------------------------------------modal----------------------------------------  */

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%; 
    overflow: auto; 
    background-color: rgba(0,0,0,0.4);

    img{
        width: 300px;
    }
}

.modal-content {
    background-color: #fefefe;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;

    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 3rem;
  }
/* The Close Button */
.closeModal {
    color: black;
    float: right;
    font-size: 40px;
    font-weight: bold;
  }
  
  .closeModal:hover,
  .closeModal:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
  }

/* flocons de neige */
#snow-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 999;
    pointer-events: none;
}
  
.snowflake {
    position: absolute;
    top: -10px;
    color: white;
    font-size: 1rem;
    opacity: 0.8;
    animation: fall linear infinite;
}
  
/* animation des flocons */
@keyframes fall {
    0% {
      transform: translateY(0) rotate(0deg);
      opacity: 1;
    }
    100% {
      transform: translateY(100vh) rotate(360deg);
      opacity: 0;
    }
}

/* citations */
#citations{
    display: flex;
    flex-direction: column;
}

.citation{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 1rem 3.5rem;
    padding: 2.5rem;
    background-color: rgb(209, 209, 209);
    column-gap: 2rem;
}

.deleteCitation{
    color: black;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
}

#audio-surprise{
    display: none;
}


/* ============================================================BREAKPOINT============================================================ */
/* ======================================================================================================================================================================================================================================================REPONSIVE==================================================================================================================================================================================================================================== */
@media screen and (max-width: 768px) {
    #calendar{
        width: 100%;
        padding: 3rem 0.5rem;
    }

    .window{
        width: 80px;
        height: 80px;
    }

    .modal-content{
        flex-direction: column;
        column-gap: 1rem;
        width: 95%;
    }

    .citation{
        padding: 2rem 0.75rem;
        margin: 1rem 1.5rem;
    }
}